com.brightcove.cast.util

## Class BrightcoveChannelUtil

- java.lang.Object
- - com.brightcove.cast.util.BrightcoveChannelUtil

-     public final class BrightcoveChannelUtil
      extends java.lang.Object

  An util class that helps sending messages to the Brightcove Cast app receiver using the `BrightcoveMessage.BRIGHTCOVE_CAST_CHANNEL` channel.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BrightcoveChannelUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.google.android.gms.common.api.PendingResult<com.google.android.gms.common.api.Status>` | `castSplashScreen(com.google.android.gms.cast.framework.CastSession castSession, SplashScreen splashScreen)` Cast the Splash Screen to the Brightcove Cast app receiver.
    `static com.google.android.gms.common.api.PendingResult<com.google.android.gms.common.api.Status>` | `sendBrightcoveMessage(com.google.android.gms.cast.framework.CastSession castSession, BrightcoveMessage message)` Send a BrightcoveMessage to the Brightcove Cast app receiver.
    `static com.google.android.gms.common.api.PendingResult<com.google.android.gms.common.api.Status>` | `sendMessage(com.google.android.gms.cast.framework.CastSession castSession, java.lang.String message)` Send a message to the Brightcove Cast app receiver.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BrightcoveChannelUtil

          public BrightcoveChannelUtil()

  - ### Method Detail

    - #### sendMessage

          public static com.google.android.gms.common.api.PendingResult<com.google.android.gms.common.api.Status> sendMessage(@NonNull
                                                                                                                              com.google.android.gms.cast.framework.CastSession castSession,
                                                                                                                              @NonNull
                                                                                                                              java.lang.String message)

      Send a message to the Brightcove Cast app receiver.
      Parameters:
        `castSession` - the cast session
        `message` - the message
      Returns:
        the pending result

    - #### sendBrightcoveMessage

          public static com.google.android.gms.common.api.PendingResult<com.google.android.gms.common.api.Status> sendBrightcoveMessage(@NonNull
                                                                                                                                        com.google.android.gms.cast.framework.CastSession castSession,
                                                                                                                                        @NonNull
                                                                                                                                        BrightcoveMessage message)

      Send a BrightcoveMessage to the Brightcove Cast app receiver.
      Parameters:
        `castSession` - the cast session
        `message` - the message
      Returns:
        the pending result

    - #### castSplashScreen

          public static com.google.android.gms.common.api.PendingResult<com.google.android.gms.common.api.Status> castSplashScreen(@NonNull
                                                                                                                                   com.google.android.gms.cast.framework.CastSession castSession,
                                                                                                                                   @NonNull
                                                                                                                                   SplashScreen splashScreen)

      Cast the Splash Screen to the Brightcove Cast app receiver.
      Parameters:
        `castSession` - the cast session
        `splashScreen` - the splash screen
      Returns:
        the pending result